Solved "Could Not Connect to Remote Server" when scanning movies
#1
Log: https://paste.ubuntu.com/p/V992km6QPj/

I got this error every time I Scan For New Content or Update Library. When Kodi attempts to scan my movie library it immediately hits an error like it has a problem communicating with themoviedb.org. The TVDB.org library scans work perfectly.

This problem originally occurred with Kodi 15.2. I updated the moviedb addon with that version but the error persisted. Recently, I moved my library from NAS to local storage, so I decided to finally upgrade Kodi to Krypton. I assumed the error would go away. It did not, it produces the exact same error before with the exact same reproduction steps.

Naturally I google'd it out to find an answer before posting. One solution was to update the themoviedb.org addon to a later version, 4.0.3. The version that came with Kodi Krypton was 4.0.1., I believe. That did not affect the issue. Still no themoviedb.org updates!
Reply
#2
Hello @Gorbulan

This is obviously your problem...
The Movie Database scraper (path: 'C:\Users\user\AppData\Roaming\Kodi\addons\metadata.themoviedb.org', content: 'movies', version: '674.0.2')

I have never heard of such a version. Where did you get it from? The current version for TMDB is 5.1.3

To fix...
  1. Go to C:\Users\<username>\AppData\Roaming\Kodi\addons
  2. Delete the folder metadata.themoviedb.org and metadata.common.themoviedb.org
  3. At this point you can restart Kodi and auto-update should update to the new version. If not continue...
  4. Download v5.1.3 from here... http://mirrors.kodi.tv/addons/krypton/me...viedb.org/
  5. Restart Kodi
  6. Install the correct version via Install from Zip
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki) || Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply
#3
The issue happened with the version that came with Kodi 15.2, and 17.6. Also, I forgot to mention that this problem only occurs with one machine in the house. My desktop has no issues with TMDB. 

I will remove the addon from the folder and let re-download automatically.
Reply
#4
I got it to scan finally. Updates were not set to install or download or anything. I set it all to automatic and I got TMDB to download itself again. The issues seems to be resolved.

Not sure why it did not work with 15.2. Was there a compatibility issue with the older version of the TMDB addon?
Reply
#5
(2018-05-13, 08:55)Gorbulan Wrote: Was there a compatibility issue with the older version of the TMDB addon?
v15.2 was released Oct 2015 and there have been dozens of updates to the scrapers since then. A scraper from that long ago would not work today. Too many things have changed at TMDB and with the code in Kodi.

Kodi has never used the version number 674.0.2 so we have no clue what has happened there. Quite possibly some add-on or build you have installed in Kodi from other sites that has added its own version of scraper.

Great that it is all working now. I'll mark this as solved.
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki) || Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply
#6
Thread marked solved.
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki) || Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply
#7
(2018-05-13, 09:07)Karellen Wrote:
(2018-05-13, 08:55)Gorbulan Wrote: Was there a compatibility issue with the older version of the TMDB addon?
Quite possibly some add-on or build you have installed in Kodi from other sites that has added its own version of scraper.
Nope. Addon came with Kodi. Downloaded from this website. Unless Kodi's installer does not write over everything in the appdata folder when reinstalling. Originally tried a later version of the addon from the xbmc github before upgrading to version 17.6.
Reply
#8
(2018-05-13, 23:43)Gorbulan Wrote: Unless Kodi's installer does not write over everything in the appdata folder when reinstalling
No it doesn't. That is what allows you to update your version, but still keep all your library, skin settings, add-ons etc available after the upgrade.

If you want a clean start, see here... https://kodi.wiki/view/HOW-TO:Install_Ko...lling_Kodi
My Signature
Links to : Official:Forum rules (wiki) | Official:Forum rules/Banned add-ons (wiki) | Debug Log (wiki)
Links to : HOW-TO:Create Music Library (wiki) | HOW-TO:Create_Video_Library (wiki) || Artwork (wiki) | Basic controls (wiki) | Import-export library (wiki) | Movie sets (wiki) | Movie universe (wiki) | NFO files (wiki) | Quick start guide (wiki)
Reply



Logout Mark Read Team Forum Stats Members Help
"Could Not Connect to Remote Server" when scanning movies0
This forum uses Lukasz Tkacz MyBB addons.